Subject: Re: [PATCH RESEND] stm class: Remove unnecessary local variable in stm_write

From: Thorsten Blum <[email-masked]>
Date: Mon, 26 Jan 2026 08:55:02 +0100

On 26. Jan 2026, at 07:33, Alexander Shishkin wrote:
> Thorsten Blum <[email-masked]> writes:
> 
>> The local variable 'err' and the corresponding if check in stm_write()
>> are unnecessary. Remove them.
> 
> Nice catch! Is this a result of manual code inspection or were any tools
> used, an AI agent or a coccinelle script or whatnot?

Manual code inspection. I think I stumbled upon it when I was working on

https://lore.kernel.org/lkml/[email-masked]/
https://lore.kernel.org/lkml/[email-masked]/

which are also still pending. Could you take a look at all three patches
while you're at it?

Thanks,
Thorsten